ModernLoop Internal API
Apislack

Post a message to a Slack channel

Write operation: mutates state in the upstream service.

curl -X POST "https://api.modernloop.dev/rest/v1/slack/messages" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "channel": "string",    "text": "string"  }'
{  "ok": true,  "channel": "string",  "ts": "string",  "message": {    "text": "string",    "user": "string",    "ts": "string",    "thread_ts": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

channel*string

Channel ID to post to

Length1 <= length
text*string

Message text (mrkdwn)

Length1 <= length
blocks?array<>

Optional Block Kit blocks, passed through to Slack

Response Body

application/json

application/json

application/json

application/json

application/json

application/json